<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->


- [
  all-contributors-cli
](#all-contributors-cli)
  - [The problem](#the-problem)
  - [This solution](#this-solution)
  - [Using the all-contributors-cli](#using-the-all-contributors-cli)
  - [Contributors ✨](#contributors-)
  - [LICENSE](#license)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

> [There is now a GitHub Bot](https://github.com/all-contributors/all-contributors-bot)
> for automating the maintenance of your contributors table ✨<br />Say goodbye
> to command line tool dependencies and hello to the
> [@all-contributors bot 🤖](https://github.com/all-contributors/all-contributors-bot)

<h1 align="center">
  all-contributors-cli
</h1>
<p align="center" style="font-size: 1.2rem;">Automate acknowledging contributors to your open source projects</p>

<hr />

<table>
    <caption>Read this documentation in the following languages</caption>
    <tbody>
        <tr>
            <td><a href="https://allcontributors.org/docs/ko/cli/overview">한국어</a></td>
            <td><a href="https://allcontributors.org/docs/zh-CN/cli/overview">中文</a></td>
            <td><a href="https://allcontributors.org/docs/id/cli/overview">Bahasa Indonesia</a></td>
            <td><a href="https://allcontributors.org/docs/de/cli/overview">Deutsch</a></td>
            <td><a href="https://allcontributors.org/docs/pl/cli/overview">Polski</a></td>
        </tr>
        <tr>
            <td><a href="https://allcontributors.org/docs/en/cli/overview">English</a></td>
            <td><a href="https://allcontributors.org/docs/pt-BR/cli/overview">Português</a></td>
            <td><a href="https://allcontributors.org/docs/es-ES/cli/overview">Español</a></td>
            <td><a href="https://allcontributors.org/docs/fr/cli/overview">Français</a></td>
            <td><a href="https://allcontributors.org/docs/ru/cli/overview">Русский</a></td>
            <td><a href="https://allcontributors.org/docs/ja/cli/overview">日本語</a></td>
        </tr>
    </tbody>
</table>

[![Build Status](https://dl.circleci.com/status-badge/img/gh/all-contributors/cli/tree/master.svg?style=svg)](https://dl.circleci.com/status-badge/redirect/gh/all-contributors/cli/tree/master)
[![Code Coverage](https://codecov.io/gh/all-contributors/cli/branch/master/graph/badge.svg?token=jHIrCqevli)](https://codecov.io/gh/all-contributors/cli)
[![Version](https://img.shields.io/npm/v/all-contributors-cli.svg)](https://www.npmjs.com/package/all-contributors-cli)
[![Downloads](https://img.shields.io/npm/dm/all-contributors-cli.svg)](http://www.npmtrends.com/all-contributors-cli)
[![AUR Version](https://img.shields.io/aur/version/all-contributors-cli.svg)](https://aur.archlinux.org/packages/all-contributors-cli)
[![All Contributors](https://img.shields.io/badge/all_contributors-37-orange.svg?style=flat-square)](#contributors-)
[![Star on Github](https://img.shields.io/github/stars/all-contributors/all-contributors-cli.svg?style=social)](https://github.com/all-contributors/all-contributors-cli/stargazers)

## The problem

You want to implement the
[All Contributors](https://github.com/all-contributors/all-contributors) spec,
but don't want to maintain the table by hand

## This solution

This is a tool to help automate adding contributor acknowledgements according to
the [all-contributors](https://github.com/all-contributors/all-contributors)
specification for your GitHub or GitLab repository.

## Using the all-contributors-cli

If you're looking to use the cli, head over to
[the cli docs on allcontributors.org](https://allcontributors.org/docs/en/cli/overview).
The all-contributors website contains all the information required to install,
configure and use the all-contributors-cli.

## Contributors ✨

Thanks goes to these wonderful people
([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tbody>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/jfmengels"><img src="https://avatars.githubusercontent.com/u/3869412?v=3?s=100" width="100px;" alt="Jeroen Engels"/><br /><sub><b>Jeroen Engels</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=jfmengels" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=jfmengels" title="Documentation">📖</a> <a href="https://github.com/all-contributors/cli/commits?author=jfmengels" title="Tests">⚠️</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://kentcdodds.com/"><img src="https://avatars.githubusercontent.com/u/1500684?v=3?s=100" width="100px;" alt="Kent C. Dodds"/><br /><sub><b>Kent C. Dodds</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=kentcdodds" title="Documentation">📖</a> <a href="https://github.com/all-contributors/cli/commits?author=kentcdodds" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/jccguimaraes"><img src="https://avatars.githubusercontent.com/u/14871650?v=3?s=100" width="100px;" alt="João Guimarães"/><br /><sub><b>João Guimarães</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=jccguimaraes" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://beneb.info"><img src="https://avatars.githubusercontent.com/u/1282980?v=3?s=100" width="100px;" alt="Ben Briggs"/><br /><sub><b>Ben Briggs</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=ben-eb" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/itaisteinherz"><img src="https://avatars.githubusercontent.com/u/22768990?v=3?s=100" width="100px;" alt="Itai Steinherz"/><br /><sub><b>Itai Steinherz</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=itaisteinherz" title="Documentation">📖</a> <a href="https://github.com/all-contributors/cli/commits?author=itaisteinherz" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/alexjoverm"><img src="https://avatars.githubusercontent.com/u/5701162?v=3?s=100" width="100px;" alt="Alex Jover"/><br /><sub><b>Alex Jover</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=alexjoverm" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=alexjoverm" title="Documentation">📖</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://jerodsanto.net"><img src="https://avatars3.githubusercontent.com/u/8212?v=3?s=100" width="100px;" alt="Jerod Santo"/><br /><sub><b>Jerod Santo</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=jerodsanto" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/kevinjalbert"><img src="https://avatars1.githubusercontent.com/u/574871?v=3?s=100" width="100px;" alt="Kevin Jalbert"/><br /><sub><b>Kevin Jalbert</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=kevinjalbert" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://i.am.charlike.online"><img src="https://avatars3.githubusercontent.com/u/5038030?v=4?s=100" width="100px;" alt="tunnckoCore"/><br /><sub><b>tunnckoCore</b></sub></a><br /><a href="#tool-charlike" title="Tools">🔧</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://machour.idk.tn/"><img src="https://avatars2.githubusercontent.com/u/304450?v=4?s=100" width="100px;" alt="Mehdi Achour"/><br /><sub><b>Mehdi Achour</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=machour" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://codsen.com"><img src="https://avatars1.githubusercontent.com/u/8344688?v=4?s=100" width="100px;" alt="Roy Revelt"/><br /><sub><b>Roy Revelt</b></sub></a><br /><a href="https://github.com/all-contributors/cli/issues?q=author%3Arevelt" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/chrisinajar"><img src="https://avatars1.githubusercontent.com/u/422331?v=4?s=100" width="100px;" alt="Chris Vickery"/><br /><sub><b>Chris Vickery</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=chrisinajar" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/brycereynolds"><img src="https://avatars2.githubusercontent.com/u/1026002?v=4?s=100" width="100px;" alt="Bryce Reynolds"/><br /><sub><b>Bryce Reynolds</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=brycereynolds" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://www.jmeas.com"><img src="https://avatars3.githubusercontent.com/u/2322305?v=4?s=100" width="100px;" alt="James, please"/><br /><sub><b>James, please</b></sub></a><br /><a href="#ideas-jmeas" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/all-contributors/cli/commits?author=jmeas" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://www.spyros.io"><img src="https://avatars3.githubusercontent.com/u/1057324?v=4?s=100" width="100px;" alt="Spyros Ioakeimidis"/><br /><sub><b>Spyros Ioakeimidis</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=spirosikmd" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/fadc80"><img src="https://avatars3.githubusercontent.com/u/12335761?v=4?s=100" width="100px;" alt="Fernando Costa"/><br /><sub><b>Fernando Costa</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=fadc80" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://snipe.net"><img src="https://avatars0.githubusercontent.com/u/197404?v=4?s=100" width="100px;" alt="snipe"/><br /><sub><b>snipe</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=snipe" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://gantlaborde.com/"><img src="https://avatars0.githubusercontent.com/u/997157?v=4?s=100" width="100px;" alt="Gant Laborde"/><br /><sub><b>Gant Laborde</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=GantMan" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://in.linkedin.com/in/mzubairahmed"><img src="https://avatars2.githubusercontent.com/u/17708702?v=4?s=100" width="100px;" alt="Md Zubair Ahmed"/><br /><sub><b>Md Zubair Ahmed</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=M-ZubairAhmed" title="Documentation">📖</a> <a href="https://github.com/all-contributors/cli/issues?q=author%3AM-ZubairAhmed" title="Bug reports">🐛</a> <a href="https://github.com/all-contributors/cli/commits?author=M-ZubairAhmed" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=M-ZubairAhmed" title="Tests">⚠️</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://bogas04.github.io"><img src="https://avatars3.githubusercontent.com/u/6177621?v=4?s=100" width="100px;" alt="Divjot Singh"/><br /><sub><b>Divjot Singh</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=bogas04" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/tigermarques"><img src="https://avatars0.githubusercontent.com/u/15315098?v=4?s=100" width="100px;" alt="João Marques"/><br /><sub><b>João Marques</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=tigermarques" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=tigermarques" title="Documentation">📖</a> <a href="#ideas-tigermarques" title="Ideas, Planning, & Feedback">🤔</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://hipstersmoothie.com"><img src="https://avatars3.githubusercontent.com/u/1192452?v=4?s=100" width="100px;" alt="Andrew Lisowski"/><br /><sub><b>Andrew Lisowski</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=hipstersmoothie" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=hipstersmoothie" title="Documentation">📖</a> <a href="https://github.com/all-contributors/cli/commits?author=hipstersmoothie" title="Tests">⚠️</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/chinesedfan"><img src="https://avatars3.githubusercontent.com/u/1736154?v=4?s=100" width="100px;" alt="Xianming Zhong"/><br /><sub><b>Xianming Zhong</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=chinesedfan" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/xuchaoying"><img src="https://avatars2.githubusercontent.com/u/8073251?v=4?s=100" width="100px;" alt="C.Y.Xu"/><br /><sub><b>C.Y.Xu</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=xuchaoying" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/chris-dura"><img src="https://avatars3.githubusercontent.com/u/3680914?v=4?s=100" width="100px;" alt="Dura"/><br /><sub><b>Dura</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=chris-dura" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://jakebolam.com"><img src="https://avatars2.githubusercontent.com/u/3534236?v=4?s=100" width="100px;" alt="Jake Bolam"/><br /><sub><b>Jake Bolam</b></sub></a><br /><a href="#infra-jakebolam" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="https://github.com/all-contributors/cli/commits?author=jakebolam" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=jakebolam" title="Documentation">📖</a> <a href="https://github.com/all-contributors/cli/commits?author=jakebolam" title="Tests">⚠️</a> <a href="https://github.com/all-contributors/cli/pulls?q=is%3Apr+reviewed-by%3Ajakebolam" title="Reviewed Pull Requests">👀</a> <a href="#question-jakebolam" title="Answering Questions">💬</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://maxcubing.wordpress.com"><img src="https://avatars0.githubusercontent.com/u/8260834?v=4?s=100" width="100px;" alt="Maximilian Berkmann"/><br /><sub><b>Maximilian Berkmann</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=Berkmann18" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=Berkmann18" title="Tests">⚠️</a> <a href="https://github.com/all-contributors/cli/commits?author=Berkmann18" title="Documentation">📖</a> <a href="#tool-Berkmann18" title="Tools">🔧</a> <a href="#maintenance-Berkmann18" title="Maintenance">🚧</a> <a href="https://github.com/all-contributors/cli/pulls?q=is%3Apr+reviewed-by%3ABerkmann18" title="Reviewed Pull Requests">👀</a> <a href="#question-Berkmann18" title="Answering Questions">💬</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/tbenning"><img src="https://avatars2.githubusercontent.com/u/7265547?v=4?s=100" width="100px;" alt="tbenning"/><br /><sub><b>tbenning</b></sub></a><br /><a href="#design-tbenning" title="Design">🎨</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://twitter.com/ehmicky"><img src="https://avatars2.githubusercontent.com/u/8136211?v=4?s=100" width="100px;" alt="ehmicky"/><br /><sub><b>ehmicky</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=ehmicky" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://ghuser.io/jamesgeorge007"><img src="https://avatars2.githubusercontent.com/u/25279263?v=4?s=100" width="100px;" alt="James George"/><br /><sub><b>James George</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=jamesgeorge007" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/nschonni"><img src="https://avatars2.githubusercontent.com/u/1297909?v=4?s=100" width="100px;" alt="Nick Schonning"/><br /><sub><b>Nick Schonning</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=nschonni" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://cezaraugusto.net/"><img src="https://avatars0.githubusercontent.com/u/4672033?v=4?s=100" width="100px;" alt="Cezar Augusto"/><br /><sub><b>Cezar Augusto</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=cezaraugusto" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://reinhold.is"><img src="https://avatars1.githubusercontent.com/u/5678122?v=4?s=100" width="100px;" alt="Jeppe Reinhold"/><br /><sub><b>Jeppe Reinhold</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=JReinhold" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://rachelcarmena.github.io"><img src="https://avatars0.githubusercontent.com/u/22792183?v=4?s=100" width="100px;" alt="Rachel M. Carmena"/><br /><sub><b>Rachel M. Carmena</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=rachelcarmena" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/simon300000"><img src="https://avatars1.githubusercontent.com/u/12656264?v=4?s=100" width="100px;" alt="simon3000"/><br /><sub><b>simon3000</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=simon300000" title="Tests">⚠️</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://sno2wman.dev/"><img src="https://avatars3.githubusercontent.com/u/15155608?v=4?s=100" width="100px;" alt="SnO₂WMaN"/><br /><sub><b>SnO₂WMaN</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=SnO2WMaN" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://www.destro.me"><img src="https://avatars1.githubusercontent.com/u/7031675?v=4?s=100" width="100px;" alt="Fabrizio"/><br /><sub><b>Fabrizio</b></sub></a><br /><a href="https://github.com/all-contributors/cli/issues?q=author%3Adexpota" title="Bug reports">🐛</a> <a href="https://github.com/all-contributors/cli/commits?author=dexpota" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/kharaone"><img src="https://avatars1.githubusercontent.com/u/6599271?v=4?s=100" width="100px;" alt="kharaone"/><br /><sub><b>kharaone</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=kharaone" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/marceloalves"><img src="https://avatars1.githubusercontent.com/u/216782?v=4?s=100" width="100px;" alt="Marcelo Alves"/><br /><sub><b>Marcelo Alves</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=MarceloAlves" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=MarceloAlves" title="Tests">⚠️</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://anandchowdhary.com/?utm_source=github&utm_campaign=about-link"><img src="https://avatars3.githubusercontent.com/u/2841780?v=4?s=100" width="100px;" alt="Anand Chowdhary"/><br /><sub><b>Anand Chowdhary</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=AnandChowdhary" title="Tests">⚠️</a> <a href="https://github.com/all-contributors/cli/issues?q=author%3AAnandChowdhary" title="Bug reports">🐛</a> <a href="https://github.com/all-contributors/cli/commits?author=AnandChowdhary" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://phacks.dev/"><img src="https://avatars1.githubusercontent.com/u/2587348?v=4?s=100" width="100px;" alt="Nicolas Goutay"/><br /><sub><b>Nicolas Goutay</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=phacks" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/tylerkrupicka"><img src="https://avatars1.githubusercontent.com/u/5761061?s=460&v=4?s=100" width="100px;" alt="Tyler Krupicka"/><br /><sub><b>Tyler Krupicka</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=tylerkrupicka" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=tylerkrupicka" title="Tests">⚠️</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/smoia"><img src="https://avatars3.githubusercontent.com/u/35300580?v=4?s=100" width="100px;" alt="Stefano Moia"/><br /><sub><b>Stefano Moia</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=smoia" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/ilai-deutel"><img src="https://avatars0.githubusercontent.com/u/10098207?v=4?s=100" width="100px;" alt="Ilaï Deutel"/><br /><sub><b>Ilaï Deutel</b></sub></a><br /><a href="#platform-ilai-deutel" title="Packaging/porting to new platform">📦</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/jdalrymple"><img src="https://avatars3.githubusercontent.com/u/3743662?v=4?s=100" width="100px;" alt="Justin Dalrymple"/><br /><sub><b>Justin Dalrymple</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=jdalrymple" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=jdalrymple" title="Tests">⚠️</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/k3nsei"><img src="https://avatars2.githubusercontent.com/u/190422?v=4?s=100" width="100px;" alt="Piotr Stępniewski"/><br /><sub><b>Piotr Stępniewski</b></sub></a><br /><a href="https://github.com/all-contributors/cli/issues?q=author%3Ak3nsei" title="Bug reports">🐛</a> <a href="https://github.com/all-contributors/cli/commits?author=k3nsei" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=k3nsei" title="Tests">⚠️</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://dev.to/gr2m"><img src="https://avatars3.githubusercontent.com/u/39992?v=4?s=100" width="100px;" alt="Gregor Martynus"/><br /><sub><b>Gregor Martynus</b></sub></a><br /><a href="https://github.com/all-contributors/cli/pulls?q=is%3Apr+reviewed-by%3Agr2m" title="Reviewed Pull Requests">👀</a> <a href="#question-gr2m" title="Answering Questions">💬</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://sinchang.me/"><img src="https://avatars0.githubusercontent.com/u/3297859?v=4?s=100" width="100px;" alt="Jeff Wen"/><br /><sub><b>Jeff Wen</b></sub></a><br /><a href="https://github.com/all-contributors/cli/pulls?q=is%3Apr+reviewed-by%3Asinchang" title="Reviewed Pull Requests">👀</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/pavelloz"><img src="https://avatars1.githubusercontent.com/u/546845?v=4?s=100" width="100px;" alt="Paweł Kowalski"/><br /><sub><b>Paweł Kowalski</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=pavelloz" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://www.linkedin.com/in/mloning/"><img src="https://avatars3.githubusercontent.com/u/21020482?v=4?s=100" width="100px;" alt="Markus Löning"/><br /><sub><b>Markus Löning</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=mloning" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://dlaa.me/"><img src="https://avatars1.githubusercontent.com/u/1828270?v=4?s=100" width="100px;" alt="David Anson"/><br /><sub><b>David Anson</b></sub></a><br /><a href="https://github.com/all-contributors/cli/issues?q=author%3ADavidAnson" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://favware.tech/"><img src="https://avatars3.githubusercontent.com/u/4019718?v=4?s=100" width="100px;" alt="Jeroen Claassens"/><br /><sub><b>Jeroen Claassens</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=Favna" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://erekspeed.com"><img src="https://avatars3.githubusercontent.com/u/1176550?v=4?s=100" width="100px;" alt="Erek Speed"/><br /><sub><b>Erek Speed</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=melink14" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://www.hirez.io"><img src="https://avatars1.githubusercontent.com/u/1430726?v=4?s=100" width="100px;" alt="Shai Reznik"/><br /><sub><b>Shai Reznik</b></sub></a><br /><a href="https://github.com/all-contributors/cli/issues?q=author%3Ashairez" title="Bug reports">🐛</a> <a href="https://github.com/all-contributors/cli/commits?author=shairez" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=shairez" title="Tests">⚠️</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://darekkay.com"><img src="https://avatars0.githubusercontent.com/u/3101914?v=4?s=100" width="100px;" alt="Darek Kay"/><br /><sub><b>Darek Kay</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=darekkay" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/commits?author=darekkay" title="Tests">⚠️</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/LaChapeliere"><img src="https://avatars2.githubusercontent.com/u/7062546?v=4?s=100" width="100px;" alt="LaChapeliere"/><br /><sub><b>LaChapeliere</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=LaChapeliere" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/SirWindfield"><img src="https://avatars.githubusercontent.com/u/5113257?v=4?s=100" width="100px;" alt="SirWindfield"/><br /><sub><b>SirWindfield</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=SirWindfield" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://vapurrmaid.ca"><img src="https://avatars.githubusercontent.com/u/11184711?v=4?s=100" width="100px;" alt="G r e y"/><br /><sub><b>G r e y</b></sub></a><br /><a href="#security-vapurrmaid" title="Security">🛡️</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://chezsoi.org/lucas/blog/"><img src="https://avatars.githubusercontent.com/u/925560?v=4?s=100" width="100px;" alt="Lucas Cimon"/><br /><sub><b>Lucas Cimon</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=Lucas-C" title="Documentation">📖</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://www.joshuakgoldberg.com"><img src="https://avatars.githubusercontent.com/u/3335181?v=4?s=100" width="100px;" alt="Josh Goldberg"/><br /><sub><b>Josh Goldberg</b></sub></a><br /><a href="https://github.com/all-contributors/cli/issues?q=author%3AJoshuaKGoldberg" title="Bug reports">🐛</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://tenshiamd.com"><img src="https://avatars.githubusercontent.com/u/13580338?v=4?s=100" width="100px;" alt="Angel Aviel Domaoan"/><br /><sub><b>Angel Aviel Domaoan</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=tenshiAMD" title="Code">💻</a> <a href="https://github.com/all-contributors/cli/pulls?q=is%3Apr+reviewed-by%3AtenshiAMD" title="Reviewed Pull Requests">👀</a> <a href="https://github.com/all-contributors/cli/commits?author=tenshiAMD" title="Documentation">📖</a> <a href="https://github.com/all-contributors/cli/commits?author=tenshiAMD" title="Tests">⚠️</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://12rambau.github.io/web-resume/"><img src="https://avatars.githubusercontent.com/u/12596392?v=4?s=100" width="100px;" alt="Rambaud Pierrick"/><br /><sub><b>Rambaud Pierrick</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=12rambau" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://www.lieret.net"><img src="https://avatars.githubusercontent.com/u/13602468?v=4?s=100" width="100px;" alt="Kilian Lieret"/><br /><sub><b>Kilian Lieret</b></sub></a><br /><a href="https://github.com/all-contributors/cli/issues?q=author%3Aklieret" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/KnorpelSenf"><img src="https://avatars.githubusercontent.com/u/12952387?v=4?s=100" width="100px;" alt="KnorpelSenf"/><br /><sub><b>KnorpelSenf</b></sub></a><br /><a href="https://github.com/all-contributors/cli/issues?q=author%3AKnorpelSenf" title="Bug reports">🐛</a></td>
      <td align="center" valign="top" width="16.66%"><a href="https://rea9lizer.carrd.co"><img src="https://avatars.githubusercontent.com/u/68494132?v=4?s=100" width="100px;" alt="QriLa &#124; Hyeon Gu"/><br /><sub><b>QriLa &#124; Hyeon Gu</b></sub></a><br /><a href="https://github.com/all-contributors/cli/commits?author=qyurila" title="Code">💻</a></td>
      <td align="center" valign="top" width="16.66%"><a href="http://www.dwmkerr.com"><img src="https://avatars.githubusercontent.com/u/1926984?v=4?s=100" width="100px;" alt="Dave Kerr"/><br /><sub><b>Dave Kerr</b></sub></a><br /><a href="https://github.com/all-contributors/cli/issues?q=author%3Adwmkerr" title="Bug reports">🐛</a> <a href="https://github.com/all-contributors/cli/commits?author=dwmkerr" title="Tests">⚠️</a> <a href="https://github.com/all-contributors/cli/commits?author=dwmkerr" title="Code">💻</a></td>
    </tr>
    <tr>
      <td align="center" valign="top" width="16.66%"><a href="https://github.com/schweden1997"><img src="https://avatars.githubusercontent.com/u/6765735?v=4?s=100" width="100px;" alt="Marco De Gaetano"/><br /><sub><b>Marco De Gaetano</b></sub></a><br /><a href="https://github.com/all-contributors/cli/issues?q=author%3Aschweden1997" title="Bug reports">🐛</a></td>
    </tr>
  </tbody>
  <tfoot>
    <tr>
      <td align="center" size="13px" colspan="6">
        <img src="https://raw.githubusercontent.com/all-contributors/all-contributors-cli/1b8533af435da9854653492b1327a23a4dbd0a10/assets/logo-small.svg">
          <a href="https://all-contributors.js.org/docs/en/bot/usage">Add your contributions</a>
        </img>
      </td>
    </tr>
  </tfoot>
</table>

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the
[all-contributors](https://github.com/all-contributors/all-contributors)
specification. Contributions of any kind are welcome!

## LICENSE

MIT
