import { default as angular } from './angular/index.js';
import { default as astro } from './astro/index.js';
import { default as ava } from './ava/index.js';
import { default as babel } from './babel/index.js';
import { default as c8 } from './c8/index.js';
import { default as capacitor } from './capacitor/index.js';
import { default as changesets } from './changesets/index.js';
import { default as commitizen } from './commitizen/index.js';
import { default as commitlint } from './commitlint/index.js';
import { default as cspell } from './cspell/index.js';
import { default as cucumber } from './cucumber/index.js';
import { default as cypress } from './cypress/index.js';
import { default as dotenv } from './dotenv/index.js';
import { default as drizzle } from './drizzle/index.js';
import { default as eleventy } from './eleventy/index.js';
import { default as eslint } from './eslint/index.js';
import { default as expo } from './expo/index.js';
import { default as gatsby } from './gatsby/index.js';
import { default as githubActions } from './github-actions/index.js';
import { default as glob } from './glob/index.js';
import { default as graphqlCodegen } from './graphql-codegen/index.js';
import { default as husky } from './husky/index.js';
import { default as jest } from './jest/index.js';
import { default as karma } from './karma/index.js';
import { default as ladle } from './ladle/index.js';
import { default as lefthook } from './lefthook/index.js';
import { default as lintStaged } from './lint-staged/index.js';
import { default as linthtml } from './linthtml/index.js';
import { default as lockfileLint } from './lockfile-lint/index.js';
import { default as lostPixel } from './lost-pixel/index.js';
import { default as markdownlint } from './markdownlint/index.js';
import { default as mocha } from './mocha/index.js';
import { default as moonrepo } from './moonrepo/index.js';
import { default as msw } from './msw/index.js';
import { default as nest } from './nest/index.js';
import { default as netlify } from './netlify/index.js';
import { default as next } from './next/index.js';
import { default as nodeTestRunner } from './node-test-runner/index.js';
import { default as node } from './node/index.js';
import { default as nodemon } from './nodemon/index.js';
import { default as npmPackageJsonLint } from './npm-package-json-lint/index.js';
import { default as nuxt } from './nuxt/index.js';
import { default as nx } from './nx/index.js';
import { default as nyc } from './nyc/index.js';
import { default as oclif } from './oclif/index.js';
import { default as playwrightCt } from './playwright-ct/index.js';
import { default as playwrightTest } from './playwright-test/index.js';
import { default as playwright } from './playwright/index.js';
import { default as plop } from './plop/index.js';
import { default as postcss } from './postcss/index.js';
import { default as preconstruct } from './preconstruct/index.js';
import { default as prettier } from './prettier/index.js';
import { default as reactCosmos } from './react-cosmos/index.js';
import { default as releaseIt } from './release-it/index.js';
import { default as remark } from './remark/index.js';
import { default as remix } from './remix/index.js';
import { default as rollup } from './rollup/index.js';
import { default as rsbuild } from './rsbuild/index.js';
import { default as rspack } from './rspack/index.js';
import { default as semanticRelease } from './semantic-release/index.js';
import { default as sentry } from './sentry/index.js';
import { default as simpleGitHooks } from './simple-git-hooks/index.js';
import { default as sizeLimit } from './size-limit/index.js';
import { default as storybook } from './storybook/index.js';
import { default as stryker } from './stryker/index.js';
import { default as stylelint } from './stylelint/index.js';
import { default as svelte } from './svelte/index.js';
import { default as syncpack } from './syncpack/index.js';
import { default as tailwind } from './tailwind/index.js';
import { default as travis } from './travis/index.js';
import { default as tsNode } from './ts-node/index.js';
import { default as tsup } from './tsup/index.js';
import { default as tsx } from './tsx/index.js';
import { default as typedoc } from './typedoc/index.js';
import { default as typescript } from './typescript/index.js';
import { default as unbuild } from './unbuild/index.js';
import { default as unocss } from './unocss/index.js';
import { default as vercelOg } from './vercel-og/index.js';
import { default as vike } from './vike/index.js';
import { default as vite } from './vite/index.js';
import { default as vitest } from './vitest/index.js';
import { default as vue } from './vue/index.js';
import { default as webdriverIo } from './webdriver-io/index.js';
import { default as webpack } from './webpack/index.js';
import { default as wireit } from './wireit/index.js';
import { default as wrangler } from './wrangler/index.js';
import { default as xo } from './xo/index.js';
import { default as yarn } from './yarn/index.js';
import { default as yorkie } from './yorkie/index.js';
export const Plugins = {
    angular,
    astro,
    ava,
    babel,
    c8,
    capacitor,
    changesets,
    commitizen,
    commitlint,
    cspell,
    cucumber,
    cypress,
    dotenv,
    drizzle,
    eleventy,
    eslint,
    expo,
    gatsby,
    'github-actions': githubActions,
    glob,
    'graphql-codegen': graphqlCodegen,
    husky,
    jest,
    karma,
    ladle,
    lefthook,
    'lint-staged': lintStaged,
    linthtml,
    'lockfile-lint': lockfileLint,
    'lost-pixel': lostPixel,
    markdownlint,
    mocha,
    moonrepo,
    msw,
    nest,
    netlify,
    next,
    node,
    'node-test-runner': nodeTestRunner,
    nodemon,
    'npm-package-json-lint': npmPackageJsonLint,
    nuxt,
    nx,
    nyc,
    oclif,
    playwright,
    'playwright-ct': playwrightCt,
    'playwright-test': playwrightTest,
    plop,
    postcss,
    preconstruct,
    prettier,
    'react-cosmos': reactCosmos,
    'release-it': releaseIt,
    remark,
    remix,
    rollup,
    rsbuild,
    rspack,
    'semantic-release': semanticRelease,
    sentry,
    'simple-git-hooks': simpleGitHooks,
    'size-limit': sizeLimit,
    storybook,
    stryker,
    stylelint,
    svelte,
    syncpack,
    tailwind,
    travis,
    'ts-node': tsNode,
    tsup,
    tsx,
    typedoc,
    typescript,
    unbuild,
    unocss,
    'vercel-og': vercelOg,
    vike,
    vite,
    vitest,
    vue,
    'webdriver-io': webdriverIo,
    webpack,
    wireit,
    wrangler,
    xo,
    yarn,
    yorkie,
};
