"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetupItemsFromCommandConfig = void 0;
const types_1 = require("./types");
exports.SetupItemsFromCommandConfig = [
    {
        command: "[ (abbr --show | count) -eq 0 ] ||  abbr --show | string split ' -- ' -m1 -f2 | string unescape",
        detail: 'Abbreviation',
        fishKind: types_1.FishCompletionItemKind.ABBR,
        topLevel: true,
    },
    {
        command: 'builtin --names',
        detail: 'Builtin',
        fishKind: types_1.FishCompletionItemKind.BUILTIN,
        topLevel: true,
    },
    {
        command: "[ (alias | count) -eq 0 ] || alias | string collect | string unescape | string split ' ' -m1 -f2",
        detail: 'Alias',
        fishKind: types_1.FishCompletionItemKind.ALIAS,
        topLevel: true,
    },
    {
        command: 'functions --all --names | string collect',
        detail: 'Function',
        fishKind: types_1.FishCompletionItemKind.FUNCTION,
        topLevel: true,
    },
    {
        command: 'complete -C \'\'',
        detail: 'Command',
        fishKind: types_1.FishCompletionItemKind.COMMAND,
        topLevel: true,
    },
    {
        command: 'set --names',
        detail: 'Variable',
        fishKind: types_1.FishCompletionItemKind.VARIABLE,
        topLevel: false,
    },
    {
        command: "[ (functions --handlers | count) -eq 0 ] || functions --handlers | string match -vr '^Event \\w+'",
        detail: 'Event Handler',
        fishKind: types_1.FishCompletionItemKind.EVENT,
        topLevel: false,
    },
];
